<ng-container>
    <div [ngClass]="trackService.trackHandlerOn ?'track-alerts-container':'track-alerts-container-offline'">
        <table aria-describedby="CMS Alerts">
            <thead>
                <tr>
                    <th align="left" scope="title">
                        <button class="button" *ngIf="minimizedList" title="O" (click)="changeAlertsView()">O</button>
                        <button class="button" *ngIf="!minimizedList" title="-" (click)="changeAlertsView()">-</button>
                        Alerts 
                    </th>
                    <th scope="title"><!--Track Events--></th>
                    <th scope="title"> <!--Past Events--></th>
                </tr>
            </thead>
            <tbody *ngIf="!minimizedList">
                <tr *ngIf="!trackService.trackHandlerOn">
                    <td colspan="3" align="center"><strong>TrackHandler Offline</strong></td>
                </tr>
                <tr *ngFor="let item of alertService.alertsList">
                    <td *ngIf="item.checked" style="background-color:#737279ba;" (click)="alertService.alertChecked(item)">{{item.timestamp | date:'[MMM dd, YYYY HH:mm:ss]'}}</td>
                    <td *ngIf="item.checked" style="background-color:#737279ba;" (click)="alertService.alertChecked(item)">{{item.trackId}}</td>
                    <td *ngIf="item.checked" style="background-color:#737279ba;" (click)="alertService.alertChecked(item)">{{item.message}}</td>
                    <td *ngIf="!item.checked" (click)="alertService.alertChecked(item)">{{item.timestamp | date:'[MMM dd, YYYY HH:mm:ss]'}}</td>
                    <td *ngIf="!item.checked" (click)="alertService.alertChecked(item)">[{{item.trackId}}]</td>
                    <td *ngIf="!item.checked" (click)="alertService.alertChecked(item)">{{item.message}}</td>
                </tr>
            </tbody>
         </table>
    </div>
</ng-container>